<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContinuingOperationsAbstract" xlink:label="ContinuingOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_ContinuingOperationsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Continuing operations [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContinuingOperationsAbstract" xlink:to="label_ContinuingOperationsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DiscontinuedOperationsAbstract" xlink:label="DiscontinuedOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DiscontinuedOperationsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Discontinued operations [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DiscontinuedOperationsAbstract" xlink:to="label_DiscontinuedOperationsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContributionsByOwnersAndDistributionsToOwners" xlink:label="ContributionsByOwnersAndDistributionsToOwners"/>
    <link:label xlink:type="resource" xlink:label="label_ContributionsByOwnersAndDistributionsToOwners_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Contributions by owners and distributions to owners</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContributionsByOwnersAndDistributionsToOwners" xlink:to="label_ContributionsByOwnersAndDistributionsToOwners_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContributionsByOwnersAndDistributionsToOwners" xlink:label="ContributionsByOwnersAndDistributionsToOwners_2"/>
    <link:label xlink:type="resource" xlink:label="label_ContributionsByOwnersAndDistributionsToOwners_3" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="en">Total of contributions by owners and distributions to owners</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContributionsByOwnersAndDistributionsToOwners_2" xlink:to="label_ContributionsByOwnersAndDistributionsToOwners_3"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_CommunicationsEquipmentReportableSegmentMember" xlink:label="CommunicationsEquipmentReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_CommunicationsEquipmentMember_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Communications equipment, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommunicationsEquipmentReportableSegmentMember" xlink:to="label_CommunicationsEquipmentMember_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_MeasurementInstrumentsReportableSegmentMember" xlink:label="MeasurementInstrumentsReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_MeasurementInstrumentsMember_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Measurement instruments, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MeasurementInstrumentsReportableSegmentMember" xlink:to="label_MeasurementInstrumentsMember_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_IndustrialMachineryReportableSegmentMember" xlink:label="IndustrialMachineryReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_IndustrialMachineryMember_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Industrial machinery, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialMachineryReportableSegmentMember" xlink:to="label_IndustrialMachineryMember_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AdjustmentForPensionExpenseMember" xlink:label="AdjustmentForPensionExpenseMember"/>
    <link:label xlink:type="resource" xlink:label="label_AdjustmentForPensionExpenseMember_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Adjustment for pension expense [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentForPensionExpenseMember" xlink:to="label_AdjustmentForPensionExpenseMember_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEventsAfterReportingPeriodAbstract" xlink:label="DisclosureOfEventsAfterReportingPeriodAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEventsAfterReportingPeriodAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of events after reporting period [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEventsAfterReportingPeriodAbstract" xlink:to="label_DisclosureOfEventsAfterReportingPeriodAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfIncomeTaxAbstract" xlink:label="DisclosureOfIncomeTaxAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIncomeTaxAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of income tax [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIncomeTaxAbstract" xlink:to="label_DisclosureOfIncomeTaxAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCommitmentsAbstract" xlink:label="DisclosureOfCommitmentsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCommitmentsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of commitments [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCommitmentsAbstract" xlink:to="label_DisclosureOfCommitmentsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfPropertyPlantAndEquipment2Abstract" xlink:label="DisclosureOfPropertyPlantAndEquipment2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfPropertyPlantAndEquipment2Abstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of property plant and equipment-2 [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfPropertyPlantAndEquipment2Abstract" xlink:to="label_DisclosureOfPropertyPlantAndEquipment2Abstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfIntangibleAssets2Abstract" xlink:label="DisclosureOfIntangibleAssets2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIntangibleAssets2Abstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of intangible assets-2 [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIntangibleAssets2Abstract" xlink:to="label_DisclosureOfIntangibleAssets2Abstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfBusinessCombinations2Abstract" xlink:label="DisclosureOfBusinessCombinations2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfBusinessCombinations2Abstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of business combinations-2 [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfBusinessCombinations2Abstract" xlink:to="label_DisclosureOfBusinessCombinations2Abstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfLeasesAbstract" xlink:label="DisclosureOfLeasesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfLeasesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of leases [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLeasesAbstract" xlink:to="label_DisclosureOfLeasesAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfFinancialInstruments2Abstract" xlink:label="DisclosureOfFinancialInstruments2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfFinancialInstruments2Abstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of financial instruments-2 [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfFinancialInstruments2Abstract" xlink:to="label_DisclosureOfFinancialInstruments2Abstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfSummaryOfSignificantAccountingPoliciesAbstract" xlink:label="DisclosureOfSignificantAccountingPoliciesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSignificantAccountingPoliciesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of accounting judgements and estimates [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSignificantAccountingPoliciesAbstract" xlink:to="label_DisclosureOfSignificantAccountingPoliciesAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfAccountingJudgementsAndEstimatesAbstract" xlink:label="DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of judgements with significant accounting estimate [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract" xlink:to="label_DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDividendsAbstract" xlink:label="DisclosureOfDividendsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfDividendsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of dividends [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfDividendsAbstract" xlink:to="label_DisclosureOfDividendsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNotesAndOtherExplanatoryInformationAbstract" xlink:label="DisclosureOfNotesAndOtherExplanatoryInformationAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNotesAndOtherExplanatoryInformationAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of notes and other explanatory information [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNotesAndOtherExplanatoryInformationAbstract" xlink:to="label_DisclosureOfNotesAndOtherExplanatoryInformationAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEmployeeBenefitsAbstract" xlink:label="DisclosureOfEmployeeBenefitsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEmployeeBenefitsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of employee benefits [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEmployeeBenefitsAbstract" xlink:to="label_DisclosureOfEmployeeBenefitsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract" xlink:label="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of general information about financial statements explanatory [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract" xlink:to="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEarningsPerShareAbstract" xlink:label="DisclosureOfEarningsPerShareAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEarningsPerShareAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of earnings per share [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEarningsPerShareAbstract" xlink:to="label_DisclosureOfEarningsPerShareAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract" xlink:label="DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of share capital reserves and other equity interest [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract" xlink:to="label_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherInvestmentAbstract" xlink:label="DisclosureOfOtherInvestmentAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherInvestmentAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of other investment [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherInvestmentAbstract" xlink:to="label_DisclosureOfOtherInvestmentAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherInvestmentExplanatory" xlink:label="DisclosureOfOtherInvestmentExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherInvestmentExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of other investment explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherInvestmentExplanatory" xlink:to="label_DisclosureOfOtherInvestmentExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfTradeAndOtherReceivablesAbstract" xlink:label="DisclosureOfReceivablesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfReceivablesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of trade and other receivables [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfReceivablesAbstract" xlink:to="label_DisclosureOfReceivablesAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherFinancialLiabilitiesAbstract" xlink:label="DisclosureOfOtherFinancialLiabilitiesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherFinancialLiabilitiesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of other financial liabilities [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherFinancialLiabilitiesAbstract" xlink:to="label_DisclosureOfOtherFinancialLiabilitiesAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherFinancialLiabilitiesExplanatory" xlink:label="DisclosureOfOtherFinancialLiabilitiesExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherFinancialLiabilitiesExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of other financial liabilities explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherFinancialLiabilitiesExplanatory" xlink:to="label_DisclosureOfOtherFinancialLiabilitiesExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDeferredIncomeAbstract" xlink:label="AnalysisOfDeferredIncomeAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfDeferredIncomeAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of deferred income [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfDeferredIncomeAbstract" xlink:to="label_AnalysisOfDeferredIncomeAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfRevenueAbstract" xlink:label="AnalysisOfRevenueAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfRevenueAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of revenue [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfRevenueAbstract" xlink:to="label_AnalysisOfRevenueAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherRevenueAbstract" xlink:label="AnalysisOfOtherRevenueAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherRevenueAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of other revenue [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherRevenueAbstract" xlink:to="label_AnalysisOfOtherRevenueAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherRevenueExplanatory" xlink:label="AnalysisOfOtherRevenueExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherRevenueExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of other revenue explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherRevenueExplanatory" xlink:to="label_AnalysisOfOtherRevenueExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherExpenseAbstract" xlink:label="AnalysisOfOtherExpenseAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherExpenseAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of other expense [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherExpenseAbstract" xlink:to="label_AnalysisOfOtherExpenseAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherExpenseExplanatory" xlink:label="AnalysisOfOtherExpenseExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherExpenseExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of other expense explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherExpenseExplanatory" xlink:to="label_AnalysisOfOtherExpenseExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfEmployeeExpenseAbstract" xlink:label="AnalysisOfEmployeeExpenseAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfEmployeeExpenseAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of employee expense [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfEmployeeExpenseAbstract" xlink:to="label_AnalysisOfEmployeeExpenseAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfEmployeeExpenseExplanatory" xlink:label="AnalysisOfEmployeeExpenseExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfEmployeeExpenseExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Analysis of employee expense explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfEmployeeExpenseExplanatory" xlink:to="label_AnalysisOfEmployeeExpenseExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsAbstract" xlink:label="AnalysisOfFinanceIncomeAndFinanceCostsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfFinanceIncomeAndFinanceCostsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Description of accounting policy for finance income and costs [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfFinanceIncomeAndFinanceCostsAbstract" xlink:to="label_AnalysisOfFinanceIncomeAndFinanceCostsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfRelatedPartyAbstract" xlink:label="DisclosureOfRelatedPartyAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfRelatedPartyAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of related party [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfRelatedPartyAbstract" xlink:to="label_DisclosureOfRelatedPartyAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfInventoriesAbstract" xlink:label="DisclosureOfInventoriesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfInventoriesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of inventories [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfInventoriesAbstract" xlink:to="label_DisclosureOfInventoriesAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfInvestmentsAccountedForUsingEquityMethodAbstract" xlink:label="DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of investments accounted for using equity method [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract" xlink:to="label_DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfProvisionsAbstract" xlink:label="DisclosureOfProvisionsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfProvisionsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of provisions [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfProvisionsAbstract" xlink:to="label_DisclosureOfProvisionsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfContingentEventsAbstract" xlink:label="DisclosureOfContingentEventsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfContingentEventsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of contingent events [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfContingentEventsAbstract" xlink:to="label_DisclosureOfContingentEventsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfContingentEventsExplanatory" xlink:label="DisclosureOfContingentEventsExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfContingentEventsExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of contingent events explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfContingentEventsExplanatory" xlink:to="label_DisclosureOfContingentEventsExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNoncurrentAssetsHeldForSaleAbstract" xlink:label="DisclosureOfNoncurrentAssetsHeldForSaleAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentAssetsHeldForSaleAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of noncurrent assets held for sale [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentAssetsHeldForSaleAbstract" xlink:to="label_DisclosureOfNoncurrentAssetsHeldForSaleAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory" xlink:label="DisclosureOfNoncurrentAssetsHeldForSaleExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of noncurrent assets held for sale explanatory [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentAssetsHeldForSaleExplanatory" xlink:to="label_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDiscontinuedOperationsAbstract" xlink:label="DisclosureOfDiscontinuedOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfDiscontinuedOperationsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of discontinued operations [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfDiscontinuedOperationsAbstract" xlink:to="label_DisclosureOfDiscontinuedOperationsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCashAndCashEquivalentsAbstract" xlink:label="DisclosureOfNoncashTransactionsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncashTransactionsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of cash and cash equivalents [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncashTransactionsAbstract" xlink:to="label_DisclosureOfNoncashTransactionsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCashFlowStatementAbstract" xlink:label="DisclosureOfCashFlowStatementAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCashFlowStatementAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of cash flow statement [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCashFlowStatementAbstract" xlink:to="label_DisclosureOfCashFlowStatementAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract" xlink:label="DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of changes in accounting policies accounting estimates and errors [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract" xlink:to="label_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfSharebasedPaymentArrangementsAbstract" xlink:label="DisclosureOfSharebasedPaymentArrangementsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSharebasedPaymentArrangementsAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of sharebased payment arrangements [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSharebasedPaymentArrangementsAbstract" xlink:to="label_DisclosureOfSharebasedPaymentArrangementsAbstract_2"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations"/>
    <link:label xlink:type="resource" xlink:label="label_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Tax income (expense)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxExpenseContinuingOperations" xlink:to="label_IncomeTaxExpenseContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherExpenseByFunction" xlink:label="OtherExpenseByFunction"/>
    <link:label xlink:type="resource" xlink:label="label_OtherExpenseByFunction" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Other expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherExpenseByFunction" xlink:to="label_OtherExpenseByFunction"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherLongtermProvisions" xlink:label="OtherLongtermProvisions"/>
    <link:label xlink:type="resource" xlink:label="label_OtherLongtermProvisions" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">OtherProvisions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherLongtermProvisions" xlink:to="label_OtherLongtermProvisions"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Inventories" xlink:label="Inventories"/>
    <link:label xlink:type="resource" xlink:label="label_Inventories" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Inventories</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Inventories" xlink:to="label_Inventories"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables"/>
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentReceivables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Trade and other receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentReceivables" xlink:to="label_TradeAndOtherCurrentReceivables"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables"/>
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentPayables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Trade and other payables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentPayables" xlink:to="label_TradeAndOtherCurrentPayables"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentProvisions" xlink:label="CurrentProvisions"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentProvisions" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Provisions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentProvisions" xlink:to="label_CurrentProvisions"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentTaxLiabilitiesCurrent" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="en">Current tax liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentTaxLiabilitiesCurrent" xlink:to="label_CurrentTaxLiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfTradeAndOtherPayablesAbstract" xlink:label="DisclosureOfPayablesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfPayablesAbstract_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Disclosure of trade and other payables [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfPayablesAbstract" xlink:to="label_DisclosureOfPayablesAbstract_2"/>
  </link:labelLink>
</link:linkbase>
